FOREIGN_FITS_WRITE_HEADER(3)

EXPERIMENTAL_FUNC
foreign_fits_write_header - Write a FITS header to a channel object.

SYNOPSIS
#include <karma_foreign.h>

flag foreign_fits_write_header

(Channel channel, CONST multi_array *multi_desc, CONST history *first_hist)

DESCRIPTION
Write a FITS header to a channel object.

channel
    The channel to write to. The channel is not flushed.

multi_desc
    The new header descriptor.

first_hist
    The first history string. This may be NULL. After this history is appended, any history from <<multi_desc>> is appended.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/